import { ChainEntityOwned, Change, Changed, Created, EntityFilter, Owner, Person, PersonFilter } from '@yukawa/chain-base-angular-domain';
import { Account, Credentials, GroupContext } from '@yukawa/chain-security-angular-core';
/**
*	@generator rest2ts
*	Represents the credentials change request <br/>
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.CredentialsChange <br/>
*/
export interface CredentialsChange extends Credentials {
    oldPassword?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.User <br/>
*/
export interface User extends ChainEntityOwned, Changed, Created {
    account?: Account;
    /**
    *	name: Created<br/>
    */
    created?: Change;
    /**
    *	name: Default organisation<br/>
    */
    defaultOrgId?: string;
    /**
    *	name: User details<br/>
    */
    details?: {
        [key: string]: Object;
    };
    /**
    *	name: User groups context<br/>
    */
    groupContexts?: GroupContext[];
    /**
    *	@deprecated
    *	name: User groups<br/>
    */
    groups?: string[];
    /**
    *	@deprecated
    */
    orgIds?: string[];
    owner?: Owner;
    person?: Person;
    /**
    *	@example aaaa1111
    */
    userId?: string;
    /**
    *	@example admin
    */
    username?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.user.UserFilter <br/>
*/
export interface UserFilter extends EntityFilter {
    /**
    *	name: Default organisation ID<br/>
    */
    defaultOrgId?: string;
    fields?: string[];
    groups?: string[];
    headers?: string[];
    orgIds?: string[];
    personFilter?: PersonFilter;
    /**
    *	@example aaaa1111
    */
    userId?: string;
    /**
    *	@example admin
    */
    username?: string;
    withGroupContexts?: boolean;
}
